<?php


// Our hooked in function - $fields is passed via the filter!
function softsdev_dd_checkout_field( $checkout ) {
	
    $show_delivery_datepicker = false;
    $dd_setting = get_option('delivery_date_setting');			
    $applicable_categories = isset( $dd_setting ) && array_key_exists ( 'categories', $dd_setting ) ? $dd_setting['categories'] : array();
            
    global $woocommerce;
    $cart_products = $woocommerce->cart->get_cart();
    foreach( $cart_products as  $_product ){
        $category_list = wp_get_post_terms( $_product['product_id'], 'product_cat', array('fields'=>'ids') );
        $is_common = array_intersect( $category_list, $applicable_categories );
        if( count( $is_common ) ){
            $show_delivery_datepicker = true;
            break;
        }
    }
    
    if( $show_delivery_datepicker === false ){
        return '';
    }else{
        $dates_to_deliver = isset( $dd_setting['no_of_days_to_deliver'] ) && is_numeric( $dd_setting['no_of_days_to_deliver'] ) ? $dd_setting['no_of_days_to_deliver'] : 0;
        
        wp_enqueue_script( 'jquery-ui-datepicker' );
        wp_enqueue_style( 'jquery-ui', "http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/themes/smoothness/jquery-ui.css" , '', '', false);
        $date_format 	= get_option( 'date_format' );
        $js_date_format = softsdev_date_format_php_to_js( get_option( 'date_format' ) );
        $min_delivery_date 	= date( $date_format, strtotime( '+'.( $dates_to_deliver ).' day', current_time( 'timestamp', 0 ) ) );
        echo '<script language="javascript">jQuery(document).ready(function(){
                jQuery("#delivery_date").width("150px");
                jQuery("#delivery_date").datepicker({dateFormat: "'.$js_date_format.'", minDate:'.$dates_to_deliver.',changeMonth: true, changeYear: true, yearRange: "'.date('Y').':'.(date('Y')+4).'"});
                jQuery("#delivery_date").after("<div><small style=font-size:10px;>'. __('We will try our best to deliver your order on the specified date', 'softsdev' ) .'</small></div>");
            });</script>';
        echo '<style type="text/css">
                .ui-datepicker-calendar .ui-datepicker-unselectable span { background: none repeat scroll 0 0 red !important; color:#fff !important; }
                .ui-datepicker-calendar td a { background: none repeat scroll 0 0 #008000 !important; color:#fff !important; }
                .ui-datepicker-calendar .ui-state-disabled{ opacity:0.85 !important; cursor:no-drop !important;	}
                </style>';


        echo '<div id="dd__checkout_field"><h2>'.__('Delivery Date', 'softsdev').'</h2>';
            woocommerce_form_field( 'delivery_date', array(
                'type'          => 'text',
                'class'         => array('delivery-date form-row-wide'),
                'label'         => __('Select delivery date', 'softsdev' ),
                'default'		=> $min_delivery_date,
            ), $checkout->get_value( 'delivery_date' ));
        
        echo '</div>';
    }	
}
    
/**
 * Process the checkout
 **/
function softsdev_dd_checkout_field_process() {
    global $woocommerce;
    // Check if set, if its not set add an error.
    if (!$_POST['delivery_date'])
        $woocommerce->add_error( __('Please enter something into this new shiny field.', 'softsdev') );
}

/**
 * Update the order meta with field value
 **/
function softsdev_dd_checkout_field_update_order_meta( $order_id ) {
    
    if ( isset( $_POST['delivery_date'] ) && !empty(  $_POST['delivery_date'] ) )
        update_post_meta( $order_id, 'Delivery Date', esc_attr($_POST['delivery_date']));			

}