<?php
/**
 * Plugin Name: Woocommerce Delivery Date
 * Plugin URI: www.dreamfoxmedia.com 
 * Version: 2.0.3
 * Author URI: www.dreamfoxmedia.com
 * Author: Dreamfox Media
 * Description: Extend Woocommerce plugin to add delivery date on checkout
 * Requires at least: 4.5
 * Tested up to: 5.0.0
 * WC requires at least: 3.0.0
 * WC tested up to: 3.5.2
 * License: GPLv3 or later
 * License URI: http://www.opensource.org/licenses/gpl-license.php
 * Text Domain: woocommerce-delivery-date
 * Domain Path: /lang/
 * @Developer : Marco van Loghum Saterus / Anand Rathi ( Dreamfoxmedia )
 */
/**
 * Check if WooCommerce is active
 */
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) && !function_exists('softsdev_delivery_date')  ) {
	/*-----------------------------------------------------*/
	// load text domain
	add_action( 'plugins_loaded', 'softsdev_dd_load_textdomain' );
	// Submenu on woocommerce section
	add_action('admin_menu', 'softsdev_delivery_submenu_page');
	// delivery date selection on checkout page
	add_action( 'woocommerce_after_order_notes' , 'softsdev_dd_checkout_field' );
	//error message on submit
	add_action( 'woocommerce_checkout_process', 'softsdev_dd_checkout_field_process ');
	// update delivery date
	add_action( 'woocommerce_checkout_update_order_meta', 'softsdev_dd_checkout_field_update_order_meta' );
	// delivery date on order view & thank you page
	add_action( 'woocommerce_email_after_order_table', 'softsdev_dd_email_with_delivery_date', 15, 2 );
	// delivery date on order view & thank you page
	add_action( 'woocommerce_order_details_after_order_table', 'softsdev_dd_order_view',20 );
	add_action( 'woocommerce_thankyou', 'softsdev_dd_order_view',20 );
	/*-----------------------------------------------------*/
	/*-----------------------------------------------------*/
	/*-----------------------------------------------------*/
	function softsdev_dd_load_textdomain() {
		load_plugin_textdomain( 'softsdev', false, dirname( plugin_basename( __FILE__ ) ) . '/lang/' ); 
	}
	/*-----------------------------------------------------*/

	// Including all the required files.
	require_once (dirname( __FILE__ ). "/includes/menu.php");
	require_once (dirname( __FILE__ ). "/includes/footer.php");
	require_once (dirname( __FILE__ ). "/includes/deliverydate.php");
	require_once (dirname( __FILE__ ). "/includes/checkout.php");
	require_once (dirname( __FILE__ ). "/includes/email.php");
	require_once (dirname( __FILE__ ). "/includes/orderview.php");
	require_once (dirname( __FILE__ ). "/includes/dateformat.php");
}
?>